// pages/merchantManagement/index.js
const app = getApp();
import { customRequest } from '../../utils/request.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    team: false,
    data: false,
    tv: true,
    configInfo: {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad (options) {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady () { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    console.log(wx.getStorageSync("configInfo"));
    if (wx.getStorageSync("configInfo")) {
      this.setData({
        configInfo: wx.getStorageSync("configInfo"),
      });
    }
  },
  /**
   * 开关切换
   *
   *
   */
  checkChange (e) {
    console.log(e);
    let type = e.currentTarget.dataset.type;
    let value = e.detail.value;
    value ? (this.data.configInfo[type] = 1) : (this.data.configInfo[type] = 0);
    this.setData({
      configInfo: this.data.configInfo,
    });
    this.updateConfig({ fieldName: type, configId: this.data.configInfo.id, value: this.data.configInfo[type] });
    console.log(this.data.configInfo);
  },

  /**
   * 更新商家管理
   *
   *
   */
  updateConfig (data) {
    let that = this;
    console.log(data);
    customRequest("/yishoudan/agency/config/updateFiled", { header: 'headers', method: 'POST', data: data }).then((res) => {
      if (res.data.status == 200) {
        app.getConfigInfo()
      }
    })
    // wx.request({
    //   url: app.globalData.ip + "/yishoudan/agency/config/updateFiled", // 分类列表获取接口
    //   header: app.globalData.headers,
    //   method: "POST",
    //   data,
    //   success: function (res) {
    //     console.log(res);
    //     if (res.data.status == 200) {
    //       app.getConfigInfo()
    //     }
    //   },
    // });
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide () { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload () { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom () { },

  /**
   * 用户点击右上角分享
   */
onShareAppMessage() {
  return app.sharePageImage()
},
});
